// This file is generated from extras/parsecommands.awk using a dump of
// commands from https://oiswiki.sysadninjas.net/wiki/Serial_Commands
#ifndef ArduinosInSpaceCommands_h
#define ArduinosInSpaceCommands_h

const OISCommand STOP_MAIN_ENGINE = {1, "STOP_MAIN_ENGINE"};
const OISCommand BURN_MAIN_ENGINE = {2, "BURN_MAIN_ENGINE"};
const OISCommand TOGGLE_MAIN_ENGINE = {3, "TOGGLE_MAIN_ENGINE"};
const OISCommand ENGAGE_COURSE = {4, "ENGAGE_COURSE"};
const OISCommand FIRE_RCS_CW = {5, "FIRE_RCS_CW"};
const OISCommand FULL_STOP = {6, "FULL_STOP"};
const OISCommand STOP_RCS = {7, "STOP_RCS"};
const OISCommand FIRE_RCS_CCW = {8, "FIRE_RCS_CCW"};
const OISCommand UNDOCK = {9, "UNDOCK"};
const OISCommand CANCEL_AUTOPILOT = {10, "CANCEL_AUTOPILOT"};
const OISCommand ROTATE = {11, "ROTATE"};
const OISCommand PAY_FOR_JUMPGATE = {12, "PAY_FOR_JUMPGATE"};
const OISCommand ACTIVATE_JUMPGATE = {13, "ACTIVATE_JUMPGATE"};
const OISCommand JMP_SPIN_UP_JUMP_DRIVE = {14, "JMP_SPIN_UP_JUMP_DRIVE"};
const OISCommand JMP_BEGIN_JUMP = {15, "JMP_BEGIN_JUMP"};
const OISCommand MAIN_DRIVE_POWER_DECREASE = {16, "MAIN_DRIVE_POWER_DECREASE"};
const OISCommand MAIN_DRIVE_POWER_INCREASE = {17, "MAIN_DRIVE_POWER_INCREASE"};
const OISCommand PLOT_COURSE = {18, "PLOT_COURSE"};
const OISCommand REMOVE_LAST_WAYPOINT = {19, "REMOVE_LAST_WAYPOINT"};
const OISCommand CLEAR_COURSE = {20, "CLEAR_COURSE"};
const OISCommand MAP_MOVE_RIGHT = {21, "MAP_MOVE_RIGHT"};
const OISCommand MAP_MOVE_LEFT = {22, "MAP_MOVE_LEFT"};
const OISCommand MAP_MOVE_DOWN = {23, "MAP_MOVE_DOWN"};
const OISCommand MAP_MOVE_UP = {24, "MAP_MOVE_UP"};
const OISCommand MAP_ZOOM_OUT = {25, "MAP_ZOOM_OUT"};
const OISCommand MAP_ZOOM_IN = {26, "MAP_ZOOM_IN"};
const OISCommand MAP_CENTER = {27, "MAP_CENTER"};
const OISCommand TOGGLE_MAP_MODE = {28, "TOGGLE_MAP_MODE"};
const OISCommand JMP_CALCULATE_JUMP_SOLUTION = {29, "JMP_CALCULATE_JUMP_SOLUTION"};
const OISCommand JMP_SET_JUMP_DESTINATION = {30, "JMP_SET_JUMP_DESTINATION"};
const OISCommand SELECT_TUBE1 = {31, "SELECT_TUBE1"};
const OISCommand SELECT_TUBE2 = {32, "SELECT_TUBE2"};
const OISCommand SELECT_TUBE3 = {33, "SELECT_TUBE3"};
const OISCommand SELECT_TUBE4 = {34, "SELECT_TUBE4"};
const OISCommand SELECT_TUBE5 = {35, "SELECT_TUBE5"};
const OISCommand DESELECT_TUBE = {36, "DESELECT_TUBE"};
const OISCommand SELECT_TUBE = {37, "SELECT_TUBE"};
const OISCommand POWER_DOWN_WEAPON = {38, "POWER_DOWN_WEAPON"};
const OISCommand SPIN_UP_WEAPON = {39, "SPIN_UP_WEAPON"};
const OISCommand SET_WEAPON_TARGET = {40, "SET_WEAPON_TARGET"};
const OISCommand FIRE_WEAPON = {41, "FIRE_WEAPON"};
const OISCommand ARM_WEAPON = {42, "ARM_WEAPON"};
const OISCommand UNLINK_WEAPON = {43, "UNLINK_WEAPON"};
const OISCommand FIRE_CM = {44, "FIRE_CM"};
const OISCommand DISABLE_WEAPON = {45, "DISABLE_WEAPON"};
const OISCommand EMCON_OFF = {46, "EMCON_OFF"};
const OISCommand EMCON_ON = {47, "EMCON_ON"};
const OISCommand TOGGLE_EMCON = {48, "TOGGLE_EMCON"};
const OISCommand ENG_DISCONNECT_CURRENT_MODULE = {49, "ENG_DISCONNECT_CURRENT_MODULE"};
const OISCommand PWR_TOGGLE_CURRENT_MODULE_EMCON = {50, "PWR_TOGGLE_CURRENT_MODULE_EMCON"};
const OISCommand SCRAM_REACTOR = {51, "SCRAM_REACTOR"};
const OISCommand JMP_DISCHARGE_JUMP_DRIVE = {52, "JMP_DISCHARGE_JUMP_DRIVE"};
const OISCommand PWR_TOGGLE_CURRENT_MODULE_POWER = {53, "PWR_TOGGLE_CURRENT_MODULE_POWER"};
const OISCommand TOGGLE_REACTOR = {54, "TOGGLE_REACTOR"};
const OISCommand POWER_UP_REACTOR = {55, "POWER_UP_REACTOR"};
const OISCommand PWR_CONNECT_HELM = {56, "PWR_CONNECT_HELM"};
const OISCommand PWR_DISCONNECT_HELM = {57, "PWR_DISCONNECT_HELM"};
const OISCommand PWR_DISCONNECT_RCS = {58, "PWR_DISCONNECT_RCS"};
const OISCommand PWR_TOGGLE_HELM = {59, "PWR_TOGGLE_HELM"};
const OISCommand PWR_TOGGLE_RCS = {60, "PWR_TOGGLE_RCS"};
const OISCommand PWR_CONNECT_RCS = {61, "PWR_CONNECT_RCS"};
const OISCommand PWR_CONNECT_MAINDRIVE = {62, "PWR_CONNECT_MAINDRIVE"};
const OISCommand PWR_DISCONNECT_MAINDRIVE = {63, "PWR_DISCONNECT_MAINDRIVE"};
const OISCommand PWR_DISCONNECT_COMMS = {64, "PWR_DISCONNECT_COMMS"};
const OISCommand PWR_TOGGLE_MAINDRIVE = {65, "PWR_TOGGLE_MAINDRIVE"};
const OISCommand PWR_TOGGLE_COMMS = {66, "PWR_TOGGLE_COMMS"};
const OISCommand PWR_CONNECT_COMMS = {67, "PWR_CONNECT_COMMS"};
const OISCommand PWR_CONNECT_WEAP = {68, "PWR_CONNECT_WEAP"};
const OISCommand PWR_DISCONNECT_WEAP = {69, "PWR_DISCONNECT_WEAP"};
const OISCommand PWR_DISCONNECT_JUMPDRIVE = {70, "PWR_DISCONNECT_JUMPDRIVE"};
const OISCommand PWR_TOGGLE_WEAP = {71, "PWR_TOGGLE_WEAP"};
const OISCommand PWR_TOGGLE_JUMPDRIVE = {72, "PWR_TOGGLE_JUMPDRIVE"};
const OISCommand PWR_CONNECT_JUMPDRIVE = {73, "PWR_CONNECT_JUMPDRIVE"};
const OISCommand PWR_CONNECT_BATT1 = {74, "PWR_CONNECT_BATT1"};
const OISCommand PWR_DISCONNECT_BATT1 = {75, "PWR_DISCONNECT_BATT1"};
const OISCommand PWR_DISCONNECT_BATT2 = {76, "PWR_DISCONNECT_BATT2"};
const OISCommand PWR_TOGGLE_BATT1 = {77, "PWR_TOGGLE_BATT1"};
const OISCommand PWR_TOGGLE_BATT2 = {78, "PWR_TOGGLE_BATT2"};
const OISCommand PWR_CONNECT_BATT2 = {79, "PWR_CONNECT_BATT2"};
const OISCommand PWR_CONNECT_BATT3 = {80, "PWR_CONNECT_BATT3"};
const OISCommand PWR_DISCONNECT_BATT3 = {81, "PWR_DISCONNECT_BATT3"};
const OISCommand PWR_DISCONNECT_NAVCOM = {82, "PWR_DISCONNECT_NAVCOM"};
const OISCommand PWR_TOGGLE_BATT3 = {83, "PWR_TOGGLE_BATT3"};
const OISCommand PWR_TOGGLE_NAVCOM = {84, "PWR_TOGGLE_NAVCOM"};
const OISCommand PWR_CONNECT_NAVCOM = {85, "PWR_CONNECT_NAVCOM"};
const OISCommand PWR_CONNECT_SENS = {86, "PWR_CONNECT_SENS"};
const OISCommand PWR_DISCONNECT_SENS = {87, "PWR_DISCONNECT_SENS"};
const OISCommand TURN_ON_SHIP = {88, "TURN_ON_SHIP"};
const OISCommand PWR_TOGGLE_SENS = {89, "PWR_TOGGLE_SENS"};
const OISCommand TURN_OFF_SHIP = {90, "TURN_OFF_SHIP"};
const OISCommand PWR_SELECT_MODULE = {91, "PWR_SELECT_MODULE"};
const OISCommand TURN_OFF_IFF = {92, "TURN_OFF_IFF"};
const OISCommand TURN_ON_IFF = {93, "TURN_ON_IFF"};
const OISCommand COMMUNICATE_WITH_SELECTED = {94, "COMMUNICATE_WITH_SELECTED"};
const OISCommand REQUEST_UNDOCKING_PERMISSION = {95, "REQUEST_UNDOCKING_PERMISSION"};
const OISCommand REQUEST_DOCKING_PERMISSION = {96, "REQUEST_DOCKING_PERMISSION"};
const OISCommand COMMS_TURN_ON_AUTO = {97, "COMMS_TURN_ON_AUTO"};
const OISCommand COMMS_SYNC = {98, "COMMS_SYNC"};
const OISCommand COMMS_TURN_OFF_AUTO = {99, "COMMS_TURN_OFF_AUTO"};
const OISCommand TURN_OFF_SOS = {100, "TURN_OFF_SOS"};
const OISCommand TURN_ON_SOS = {101, "TURN_ON_SOS"};
const OISCommand SENSOR_SELECT_UP = {102, "SENSOR_SELECT_UP"};
const OISCommand SENSOR_SELECT_DOWN = {103, "SENSOR_SELECT_DOWN"};
const OISCommand SENSOR_SELECT_LEFT = {104, "SENSOR_SELECT_LEFT"};
const OISCommand SENSOR_SELECT_RIGHT = {105, "SENSOR_SELECT_RIGHT"};
const OISCommand SENSOR_SET_NAV_AND_SENSOR_LINKED = {106, "SENSOR_SET_NAV_AND_SENSOR_LINKED"};
const OISCommand SENSOR_SELECT_TAB = {107, "SENSOR_SELECT_TAB"};
const OISCommand SENSOR_SET_HISTORY_LOCKED = {108, "SENSOR_SET_HISTORY_LOCKED"};
const OISCommand SENSOR_UNSET_NAV_AND_SENSOR_LINKED = {109, "SENSOR_UNSET_NAV_AND_SENSOR_LINKED"};
const OISCommand SENSOR_SET_AUTO = {110, "SENSOR_SET_AUTO"};
const OISCommand SENSOR_UNSET_HISTORY_LOCKED = {111, "SENSOR_UNSET_HISTORY_LOCKED"};
const OISCommand SENSOR_UNSET_AUTO = {112, "SENSOR_UNSET_AUTO"};
const OISCommand TIME_SLOWER = {113, "TIME_SLOWER"};
const OISCommand TIME_FASTER = {114, "TIME_FASTER"};
const OISCommand ROOM_RIGHT = {115, "ROOM_RIGHT"};
const OISCommand ROOM_LEFT = {116, "ROOM_LEFT"};
const OISCommand LEAVE_SHIP = {117, "LEAVE_SHIP"};
const OISCommand CHANGE_TO_STANDARD_ORBIT = {118, "CHANGE_TO_STANDARD_ORBIT"};
const OISCommand BREAK_ORBIT = {119, "BREAK_ORBIT"};
const OISCommand CHANGE_TO_POLAR_ORBIT = {120, "CHANGE_TO_POLAR_ORBIT"};
const OISCommand CHANGE_TO_HIGH_ORBIT = {121, "CHANGE_TO_HIGH_ORBIT"};
const OISCommand RESCIND_UNDOCKING_PERMISSION = {122, "RESCIND_UNDOCKING_PERMISSION"};
const OISCommand RESCIND_DOCKING_PERMISSION = {123, "RESCIND_DOCKING_PERMISSION"};
const OISCommand PAY_DOCKED_STATION = {124, "PAY_DOCKED_STATION"};
const OISCommand ENABLE_AUTO_REPAIR = {125, "ENABLE_AUTO_REPAIR"};
const OISCommand DISABLE_AUTO_REPAIR = {126, "DISABLE_AUTO_REPAIR"};
const OISCommand MAP_CLICK = {127, "MAP_CLICK"};
const OISCommand ENG_OPEN_CURRENT_MODULE = {128, "ENG_OPEN_CURRENT_MODULE"};
const OISCommand ENG_CONNECT_CURRENT_MODULE = {129, "ENG_CONNECT_CURRENT_MODULE"};
const OISCommand ENG_REPAIR_CURRENT_COMPONENT = {130, "ENG_REPAIR_CURRENT_COMPONENT"};
const OISCommand ENG_CLOSE_CURRENT_MODULE = {131, "ENG_CLOSE_CURRENT_MODULE"};
const OISCommand TELEPORT = {132, "TELEPORT"};
const OISCommand ENG_SELECT_COMPONENT = {133, "ENG_SELECT_COMPONENT"};
const OISCommand ENG_SELECT_MODULE = {134, "ENG_SELECT_MODULE"};
const OISCommand ENG_UNMOUNT_COMPONENT = {135, "ENG_UNMOUNT_COMPONENT"};
const OISCommand ENG_MOUNT_COMPONENT = {136, "ENG_MOUNT_COMPONENT"};
const OISCommand ENG_TOGGLE_SCREW = {137, "ENG_TOGGLE_SCREW"};
const OISCommand ENG_DESTROY_COMPONENT = {138, "ENG_DESTROY_COMPONENT"};
const OISCommand HELM_SET_ATAC_MODE = {139, "HELM_SET_ATAC_MODE"};
const OISCommand ENG_TOGGLE_SHIELD = {140, "ENG_TOGGLE_SHIELD"};
const OISCommand ENABLE_LADAR = {141, "ENABLE_LADAR"};
const OISCommand HELM_UNSET_ATAC_MODE = {142, "HELM_UNSET_ATAC_MODE"};
const OISCommand TOGGLE_LADAR = {143, "TOGGLE_LADAR"};
const OISCommand DISABLE_LADAR = {144, "DISABLE_LADAR"};
const OISCommand PWR_POWER_DECREASE = {145, "PWR_POWER_DECREASE"};
const OISCommand PWR_POWER_INCREASE = {146, "PWR_POWER_INCREASE"};
const OISCommand DEACTIVATE_PDS = {147, "DEACTIVATE_PDS"};
const OISCommand ACTIVATE_PDS = {148, "ACTIVATE_PDS"};
const OISCommand TOGGLE_PDS = {149, "TOGGLE_PDS"};
const OISCommand SHIP_CARGO_DOWN = {150, "SHIP_CARGO_DOWN"};
const OISCommand JETTISON_CARGO = {151, "JETTISON_CARGO"};
const OISCommand SHIP_CARGO_UP = {152, "SHIP_CARGO_UP"};
const OISCommand MOORED_CARGO_DOWN = {153, "MOORED_CARGO_DOWN"};
const OISCommand JETTISON_ALL = {154, "JETTISON_ALL"};
const OISCommand TRANSFER_CARGO_FROM_MOORED = {155, "TRANSFER_CARGO_FROM_MOORED"};
const OISCommand MOORED_CARGO_UP = {156, "MOORED_CARGO_UP"};
const OISCommand REPAIR_HULL_AT_DEPOT = {157, "REPAIR_HULL_AT_DEPOT"};
const OISCommand TRANSFER_CARGO_FROM_SHIP = {158, "TRANSFER_CARGO_FROM_SHIP"};
const OISCommand REARM_AT_DEPOT = {159, "REARM_AT_DEPOT"};
const OISCommand REPAIR_MODULES_AT_DEPOT = {160, "REPAIR_MODULES_AT_DEPOT"};
const OISCommand TUTORIAL_JUMP = {161, "TUTORIAL_JUMP"};
const OISCommand BUY_CM_AT_DEPOT = {162, "BUY_CM_AT_DEPOT"};
const OISCommand TRADE_PERFORM = {163, "TRADE_PERFORM"};
const OISCommand TRADE_TOMAX = {164, "TRADE_TOMAX"};
const OISCommand COMMERCE_MENU = {165, "COMMERCE_MENU"};
const OISCommand TRADE_CANCEL = {166, "TRADE_CANCEL"};
const OISCommand COMMERCE_TAKELOAN = {167, "COMMERCE_TAKELOAN"};
const OISCommand COMMERCE_GETLICENSE = {168, "COMMERCE_GETLICENSE"};
const OISCommand COMMERCE_TAKECONTRACT = {169, "COMMERCE_TAKECONTRACT"};
const OISCommand COMMERCE_REPAYLOAN = {170, "COMMERCE_REPAYLOAN"};
const OISCommand MECHANIC_TOMENU = {171, "MECHANIC_TOMENU"};
const OISCommand VIEW_WIRE = {172, "VIEW_WIRE"};
const OISCommand MECHANIC_BUY_POD = {173, "MECHANIC_BUY_POD"};
const OISCommand MECHANIC_REPAIR = {174, "MECHANIC_REPAIR"};
const OISCommand MECHANIC_UPGRADE_POD = {175, "MECHANIC_UPGRADE_POD"};
const OISCommand MECHANIC_SELL_POD = {176, "MECHANIC_SELL_POD"};
const OISCommand MECHANIC_MODULETRANSACTION = {177, "MECHANIC_MODULETRANSACTION"};
const OISCommand MECHANIC_CANCELMODULE = {178, "MECHANIC_CANCELMODULE"};
const OISCommand MECHANIC_SELLARMAMENT = {179, "MECHANIC_SELLARMAMENT"};
const OISCommand MECHANIC_BUYARMAMENT = {180, "MECHANIC_BUYARMAMENT"};
const OISCommand MOORED_WRECK_UNLOCK_CARGO = {181, "MOORED_WRECK_UNLOCK_CARGO"};
const OISCommand BUY_SHIP = {182, "BUY_SHIP"};
const OISCommand SET_VIEW_SHIP = {183, "SET_VIEW_SHIP"};
const OISCommand MOORED_WRECK_DOWNLOAD_DATA = {184, "MOORED_WRECK_DOWNLOAD_DATA"};
const OISCommand TAKE_PASSENGER = {185, "TAKE_PASSENGER"};
const OISCommand BOARD_BROKER_SHIP = {186, "BOARD_BROKER_SHIP"};
const OISCommand PREV_TRACK = {187, "PREV_TRACK"};
const OISCommand NEXT_TRACK = {188, "NEXT_TRACK"};
const OISCommand RESUME_TRACK = {189, "RESUME_TRACK"};
const OISCommand PAUSE_TRACK = {190, "PAUSE_TRACK"};
const OISCommand QUIT_TO_MENU = {191, "QUIT_TO_MENU"};
const OISCommand TAKE_BOUNTY = {192, "TAKE_BOUNTY"};
const OISCommand QUIT_TO_OS = {193, "QUIT_TO_OS"};
const OISCommand HACK = {194, "HACK"};

#endif
