# Arduinos in Space changelog

* **2018-06-18**: v0.4.1
  * Send correct command for float request.
  * Convert float data properly.
* **2018-06-13**: v0.4
  * Added some debug code with an error callback. `#define OIS_DEBUG`,
    then add a callback using the `errorHandler()` method, and the
    callback will be called when errors are caught. Currently only
    alerts when the serial receive buffer is full.
  * Shuffled some code around for tidyness.
* **2018-06-12**: v0.3
  * Added `registerBoolRaw()`, `registerIntRaw()`, `registerFloatRaw()`
    to handle data requests with a "raw" callback - this callback
    receives the int from the game directly with no postprocessing.
  * All register functions now return an int instead of a boolean.
    This int represents the channel ID of the request - it correlates
    to the channel int passed to callbacks. A return value of -1
    indicates failure - the channel was not registered. This is a
    breaking change.
  * Refactoring of the registration code. Even with the other changes
    existing example sketches clock in at a handful of bytes smaller.
* **2018-06-11**: v0.2
  * Library now handles conversion of data from the game to the desired
    type - boolean callbacks receive a bool and float callbacks receive
    an adjusted float. This is a breaking change for anything that
    requests data from the game.
* **2018-06-09**: v0.1.1
  * Optimising send buffer.
  * Implementing the channels I forgot about last time. :/
* **2018-06-08**: v0.1.0
  Initial release

