# Take a list of OIS requests. Spit out an ArduinosInSpaceCommands.h file.

BEGIN {
    print("// This file is generated from extras/parsecommands.awk using a dump of")
    print("// commands from https://oiswiki.sysadninjas.net/wiki/Serial_Commands")
    print("#ifndef ArduinosInSpaceCommands_h")
    print("#define ArduinosInSpaceCommands_h")
    print("")
    idx=1
}

{
    print("const OISCommand "$1" = {"idx", \""$1"\"};")
    idx=idx+1
}

END {
    print("")
    print("#endif")
}
