#include "AISRequest.h"

boolRequest::boolRequest(boolCallback callback)
{
  _callback = callback;
}

intRequest::intRequest(intCallback callback)
{
  _callback = callback;
}

floatRequest::floatRequest(floatCallback callback)
{
  _callback = callback;
}

rawRequest::rawRequest(rawCallback callback)
{
  _callback = callback;
}

void boolRequest::runCallback(int channel, int data)
{
  _callback(channel, data != 0);
}

void intRequest::runCallback(int channel, int data)
{
  _callback(channel, data);
}

void floatRequest::runCallback(int channel, int data)
{
  _callback(channel, data*0.01);
}

void rawRequest::runCallback(int channel, int data)
{
  _callback(channel, data);
}
