#ifndef AISUtil_h
#define AISUtil_h

struct OISCommand {
  int channel;
  char* name;
};

enum OISState {
  handshaking,
  syncing,
  active
};

enum OISRequest {
  boolRequestType,
  intRequestType,
  floatRequestType
};

enum OISErrors {
  OISSerialOverflow,
  OISUnknownError
};

typedef void (*OISErrorCallback)(OISErrors error);
#endif
